cURL
curl --request POST \ --url https://api.orafi.app/v1/transactions/payment/paylink \ --header 'Content-Type: application/json' \ --data ' { "paylinkId": "paylink_123", "customer": { "fullname": "John Doe", "email": "john@example.com" } } '
{ "success": true, "message": "Payment created successfully", "data": { "id": "payment_abc123", "amount": 100, "amountInUSDC": 100, "token": "USDC", "depositAddress": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb", "txRef": "tx_ref_123", "status": "CONFIRMED", "paymentMethod": "HOSTED_CHECKOUT", "redirectUrl": "https://example.com/success", "paylinkId": "<string>", "customerId": "<string>", "transactionId": "<string>", "createdAt": "2023-11-07T05:31:56Z" } }
Create a payment for a specific paylink. Does not require authentication.
Documentation IndexFetch the complete documentation index at: https://docs.orafi.app/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.orafi.app/llms.txt
Use this file to discover all available pages before exploring further.
The paylink ID
"paylink_123"
Show child attributes
Paylink payment created successfully
true
"Payment created successfully"